Test: Reorg. cord-tester code in general.
Change test cases to use olt configuration as appropriate when switch isn't running in the test container.
Remove olt multitable config and fold into olt_config.
Rename subscriberMultiTable to cordSubscriber test.
Change the eval script to reflect the new changes/design in cord tester.

Change-Id: I4849b32603ac790a31ba7cfb65b3f87a7c9e2076
diff --git a/src/test/setup/cord-test.py b/src/test/setup/cord-test.py
index ba8e2ee..022a192 100755
--- a/src/test/setup/cord-test.py
+++ b/src/test/setup/cord-test.py
@@ -59,7 +59,7 @@
             self.olt = True
             olt_conf_file = os.path.join(self.tester_base, 'olt_config.json')
             olt_config = OltConfig(olt_conf_file)
-            self.port_map = olt_config.olt_port_map()
+            self.port_map, _ = olt_config.olt_port_map()
         else:
             self.olt = False
             self.port_map = None
@@ -130,7 +130,7 @@
     def cleanup_intfs(cls):
         olt_conf_file = os.path.join(cls.tester_base, 'olt_config.json')
         olt_config = OltConfig(olt_conf_file)
-        port_map = olt_config.olt_port_map()
+        port_map, _ = olt_config.olt_port_map()
         port_num = 0
         intf_host = port_map['host']
         start_vlan = port_map['start_vlan']
@@ -275,7 +275,7 @@
 
     test_containers = []
     #These tests end up restarting ONOS/quagga/radius
-    tests_exempt = ('vrouter',)
+    tests_exempt = ('vrouter', 'cordSubscriber', 'proxyarp')
     if args.test_type.lower() == 'all':
         tests = CordTester.ALL_TESTS
         args.quagga = True
diff --git a/src/test/setup/eval.sh b/src/test/setup/eval.sh
index 51513c9..663674e 100755
--- a/src/test/setup/eval.sh
+++ b/src/test/setup/eval.sh
@@ -8,11 +8,31 @@
 docker kill cord-onos || true
 docker kill cord-quagga || true
 docker kill cord-radius || true
+olt_config="$(dirname $0)/olt_config.json"
+sub=0
+if grep -q br-int $olt_config; then
+  sub=1
+fi
+if [ $sub -eq 1 ]; then
+    sed -i 's,br-int,ovsbr0,g' $olt_config
+fi
+function finish {
+    $cord_tester cleanup --olt
+    pkill -f cord-test
+    if [ $sub -eq 1 ]; then
+        sed -i 's,ovsbr0,br-int,g' $olt_config
+    fi
+}
+trap finish EXIT
+$cord_tester setup --olt --start-switch
+cnt=`docker ps -lq`
 echo "Running TLS authentication test"
-$cord_tester run -r -t tls
-echo "Running DHCP request test"
-$cord_tester run -t dhcp
+docker exec $cnt nosetests -v /root/test/src/test/tls/tlsTest.py
+echo "Running DHCP relay request test"
+docker exec $cnt nosetests -v /root/test/src/test/dhcprelay/dhcprelayTest.py:dhcprelay_exchange.test_dhcpRelay_1request
 echo "Running IGMP join verify test"
-$cord_tester run -t igmp:igmp_exchange.test_igmp_join_verify_traffic
+docker exec $cnt nosetests -v /root/test/src/test/igmp/igmpTest.py:igmp_exchange.test_igmp_join_verify_traffic
 echo "Running VROUTER test with 5 routes"
-$cord_tester run -q -t vrouter:vrouter_exchange.test_vrouter_1
+docker exec $cnt nosetests -v /root/test/src/test/vrouter/vrouterTest.py:vrouter_exchange.test_vrouter_with_5_routes
+echo "Running CORD subscriber channel join jump test"
+docker exec $cnt nosetests -v /root/test/src/test/cordSubscriber/cordSubscriberTest.py:subscriber_exchange.test_subscriber_join_jump
diff --git a/src/test/setup/olt_config.json b/src/test/setup/olt_config.json
index db00a33..36070f7 100644
--- a/src/test/setup/olt_config.json
+++ b/src/test/setup/olt_config.json
@@ -1,2 +1 @@
-{ "olt" : false , "port_map" : { "ports" : [ "veth0", "veth2", "veth4", "veth6", "veth8", "veth10" ], "tx" : "veth2", "rx" : "veth0", "host" : "br-int", "start_vlan" : 1000 }, "uplink" : 2, "vlan" : 0 }
-
+{ "olt" : false , "port_map" : { "num_ports" : 11, "host" : "br-int", "start_vlan" : 1000 }, "uplink" : 2, "vlan" : 0 }
diff --git a/src/test/setup/olt_config_multitable.json b/src/test/setup/olt_config_multitable.json
deleted file mode 100644
index 6d4f4dc..0000000
--- a/src/test/setup/olt_config_multitable.json
+++ /dev/null
@@ -1,2 +0,0 @@
-{ "olt" : false , "port_map" : { "port" : "veth0", "num_ports" : 100, "host" : "br-int", "start_vlan" : 1000 }, "uplink" : 2, "vlan" : 0 }
-